from django.conf import settings
from django.conf.urls.defaults import *
from directory.models import *
from directory import views

# custom views stories
urlpatterns = patterns(
    "directory.views",
    url(r"^$", view=views.index, name="di-index"),
    # url(r'^people/(?P<slug>[-\w]+)/$', view='person_detail', name='di-person-detail'),
    # url(r'^places/(?P<slug>[-\w]+)/$', view='place_detail', name='di-place-detail'),
    url(r"^towns/$", view="town_index", name="di-town-index"),
    url(r"^towns/(?P<slug>[-\w]+)/$", view="town_info", name="di-town-info"),
    url(r"^towns/(?P<slug>[-\w]+)/$", view="town_detail", name="di-town-detail"),
    url(r"^register/$", view="phonebook_index", name="di-phonebook-index"),
    url(
        r"^register/(?P<town_slug>[-\w]+)",
        view="phonebook_town",
        name="di-phonebook-town",
    ),
)
